System Requirements

You just need a PC running Windows XP or later or Windows Server 2003 or later. If your computer is running any of these versions, Affixa will work on your computer.

The software requires something called the .NET Framework 3.5, though you most likely have this installed already. If you don’t, you’ll be asked to download or install it.

 

Still need help? Contact Us Contact Us